Index: WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 1737)
@@ -1,4 +1,3 @@
-<tal:block define="
-    rendered_main python:context.getContent().render(layout_mode='edit', 
+<metal:defineblock tal:define="rendered_main python:context.getContent().render(layout_mode='edit', 
            cluster=None,
            request=request, 
@@ -9,6 +8,7 @@
            is_allowed context/isSectionOfficer;
            creation python:False;
-           metadata metadata|nothing;"
+           metadata metadata|nothing;
+           template here/slip_template/macros/master;"
     >
   <metal:block use-macro="context/waeup_edit_form/macros/edit_form" />
-</tal:block>
+</metal:defineblock>
Index: WAeUP_SRP/trunk/skins/waeup_default/isStaff.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 1737)
@@ -22,3 +22,5 @@
        "SectionOfficer" in roles or\
        "ClearanceOfficer" in roles or\
+       "CourseAdviser" in roles or\
+       "CourseAdvisers" in member.getGroups() or\
        "ClearanceOfficers" in member.getGroups()
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1736)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1737)
@@ -1,4 +1,3 @@
-<tal:block define="
-    rendered_main python:context.getContent().render(layout_mode='edit', 
+<metal:defineblock tal:define="rendered_main python:context.getContent().render(layout_mode='edit', 
            cluster=None,
            request=request, 
@@ -10,7 +9,8 @@
            is_allowed context/isSectionOfficer;
            metadata metadata|nothing;
+           template here/waeup_content_master/macros/master;
            ">
 <metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
+<metal:block use-macro=template>
   
   <metal:block fill-slot="header">
@@ -95,3 +95,3 @@
 </metal:block>
 </metal:block>
-</tal:block>
+</metal:defineblock>
Index: WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Backoffice/render.css.dtml	(revision 1737)
@@ -0,0 +1,3 @@
+.portalTabTabStyle ul.cpsskinsMenu li a{background:url(images/waeup_staff_tab_full_2.png) left top no-repeat}
+.colorBarColor{border-color:#B9B9B9;background-color:#B9B9B9;color:#FFFF}
+.colorBarAreaColor{border-color:#B9B9B9;background-color:#FFFFFF;color:#000000}
Index: WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/WAeUP_Student/render.css.dtml	(revision 1737)
@@ -0,0 +1,4 @@
+.portalTabTabStyle ul.cpsskinsMenu li a{background:url(images/waeup_student_tab.png) left top no-repeat}
+.colorBarColor{border-color:#FFCE81;background-color:#FFCE81;color:#000000}
+.colorBarAreaColor{border-color:#FFCE81;background-color:#FFF;color:#000000}
+
Index: WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/common.css.dtml	(revision 1737)
@@ -0,0 +1,89 @@
+<dtml-let base_url="getBaseUrl()">
+
+body, table {
+  font-size: 100%;
+  line-height: normal;
+}
+
+form {
+  margin: 0;
+}
+
+input, button {
+  vertical-align: middle;
+}
+
+div p {
+  margin: 0;
+  padding: 0;
+}
+
+img {
+  border-style: none;
+  vertical-align: middle;
+}
+
+h3, h4, h5, h6 {
+  margin: 0;
+}
+
+/* Misc table elements */
+
+td.centered {
+  text-align: center;
+}
+
+td.additionaltools {
+  color: black;
+  text-align: right;
+}
+
+td.even {
+  color: black;
+  background-color: #e3e0e3;
+  text-align: left;
+}
+
+td.odd {
+  color: black;
+  background-color: #f0f0f0;
+  text-align: left;
+}
+
+.chapo {
+  text-align: justify;
+  padding-bottom: 5px;
+}
+
+/* Forms */
+
+input, select, textarea, button {
+  font: 11px Verdana, Arial, sans-serif !important;
+  color:  Black;
+  background-color: white;
+}
+
+.formmeta {
+  font: 800 12px Arial, sans-serif !important;
+  color: White; 
+  background-color: #6699cc;
+  padding: 5px 10px 1px 5px;
+  text-align:right;
+  vertical-align: top;
+}
+
+.fileview {
+  border: 1px solid #999999;
+  background-color: #f0f0f0;
+  margin-top: 15px;
+  margin-bottom: 15px;
+}
+
+.statusmessage {
+  background-color: #e9e9ff;
+  border: 1px dotted #ccc;
+  padding: 10px;
+  font-weight: bold;
+  margin: 10px;
+}
+</dtml-let>
Index: WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml	(revision 1737)
+++ WAeUP_SRP/trunk/skins/waeup_design/common2.css.dtml	(revision 1737)
@@ -0,0 +1,565 @@
+<dtml-let base_url="getBaseUrl()">
+html, body {
+height:100%;
+}
+input, textarea, select, button {
+background-color:white;
+margin:0pt;
+}
+
+input, button {
+padding:3px;
+}
+
+.fileview {
+padding:3px;
+}
+.statusmessage {
+margin-bottom:9px;
+padding:3px;
+}
+input.SearchBox {
+background:white url(http://localhost:8080/cpsskins/cpsskins_images/search_icon.png) no-repeat scroll left center;
+border:1px inset #757575;
+padding:2px 2px 2px 20px;
+}
+div.searchField {
+background:transparent url(http://localhost:8080/cpsskins/cpsskins_images/portlet_search_icon.png) no-repeat scroll left center;
+padding:2px 2px 2px 20px;
+}
+.toggle_icon {
+clear:left;
+float:left;
+padding:2px 0pt 0pt 3px;
+}
+.missing_toggle {
+padding:0pt 0pt 0pt 13px;
+}
+.tree_node {
+padding:0pt 0pt 0pt 8px;
+}
+.tree_leaf {
+padding:0pt 0pt 0pt 22px;
+}
+.action_icon {
+clear:left;
+float:left;
+padding:0pt 6px 0pt 0pt;
+}
+.cpsskinsBox ul.cpsskinsMenu, .cpsskinsBox ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+margin:0px;
+padding:0px;
+}
+.cpsskinsBox ul.cpsskinsMenu li a {
+background-position:left top;
+background-repeat:no-repeat;
+display:block;
+}
+.cpsskinsBox ul.cpsskinsMenu li a.noicon, .cpsskinsBox ul.cpsskinsMenu li.selected a.noicon {
+background-image:none !important;
+padding-left:2px !important;
+}
+.cpsskinsBox ul.cpsskinsMenu li a span.itemDescription {
+display:block;
+font-size:85%;
+}
+
+.cpsskinsTab ul.cpsskinsMenu, .cpsskinsTab ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+margin:0px;
+padding:0px;
+}
+.cpsskinsTab ul.cpsskinsMenu li a {
+background-position:left center;
+background-repeat:no-repeat;
+display:inline;
+}
+.cpsskinsTab ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsTab div.xmlExportButtons {
+display:none;
+}
+.cpsskinsBox .buttons {
+display:block;
+padding-bottom:1px;
+padding-right:1px;
+padding-top:1px;
+}
+.cpsskinsBox .buttons a {
+float:right;
+}
+.cpsskinsTabs {
+float:left;
+line-height:normal;
+text-align:left;
+width:100%;
+}
+.cpsskinsTabs ul {
+list-style-image:none;
+list-style-position:outside;
+list-style-type:none;
+margin:0pt;
+padding:0pt;
+}
+.cpsskinsTabs li {
+float:left;
+margin:0pt;
+padding:0pt;
+position:relative;
+}
+.cpsskinsTabs a {
+display:block;
+float:left;
+margin-left:0pt !important;
+text-decoration:none;
+}
+.cpsskinsTabs a {
+float:none;
+}
+.cpsskinsTabs ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsTabs div.xmlExportButtons {
+display:none;
+}
+.cpsskinsTabs li ul {
+display:none;
+left:0pt;
+position:absolute;
+}
+.cpsskinsTabs li > ul {
+left:auto;
+top:auto;
+}
+.cpsskinsTabs li:hover ul, .cpsskinsTabs li.over ul {
+display:block;
+}
+.cpsskinsBoxCorners .rbtop div {
+left:-2px;
+position:relative;
+width:100%;
+}
+.cpsskinsBoxCorners .rbtop {
+position:relative;
+right:-1px;
+top:-1px;
+width:100%;
+}
+.cpsskinsBoxCorners .rbbot div {
+left:-2px;
+position:relative;
+width:100%;
+}
+.cpsskinsBoxCorners .rbbot {
+bottom:-1px;
+position:relative;
+right:-1px;
+width:100%;
+}
+.hidden {
+display:none;
+}
+.cpsskinsHBox {
+margin:3px;
+}
+.cpsskinsHBox ul.cpsskinsMenu, .cpsskinsHBox ul.cpsskinsMenu li {
+display:inline;
+line-height:normal;
+list-style-type:none;
+padding:3px 0pt 2px;
+}
+* html .cpsskinsHBox ul.cpsskinsMenu {
+padding:0px;
+}
+* html .cpsskinsHBox ul.cpsskinsMenu li {
+padding:0px;
+}
+.cpsskinsHBox ul.cpsskinsMenu li a {
+background-position:left top;
+background-repeat:no-repeat;
+display:inline;
+margin-left:0pt !important;
+}
+.cpsskinsHBox ul.cpsskinsMenu span.itemDescription {
+display:none;
+}
+.cpsskinsHBox div.xmlExportButtons {
+display:none;
+}
+
+.portalTabTabStyle ul.cpsskinsMenu li {
+margin:0pt 2px 0pt 0pt;
+}
+.portalTabTabStyle ul.cpsskinsMenu li a {
+padding:3px 2px;
+}
+
+.fontShapeaverage {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:12px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapeaverage p {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+padding:5px 10px 0px 0px;
+}
+.fontShapeaverage small {
+}
+
+.fontShapeaverage h2, .fontShapeaverage .h2 {
+border-style:none;
+border-width:0px;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+margin:10px 0px 5px;
+padding:0px;
+}
+
+.fontShapeaverage h3, .fontShapeaverage .h3 {
+border-style:none;
+border-width:0px;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:125% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+
+.fontShapeaverage a, .fontShapeaverage a div, .fontShapeaverage a span {
+text-decoration:none;
+}
+.fontShapeaverage a:visited, .fontShapeaverage a:visited div, .fontShapeaverage a:visited span {
+text-decoration:none;
+}
+.fontShapeaverage a:active, .fontShapeaverage a:active div, .fontShapeaverage a:active span {
+text-decoration:underline overline;
+}
+.fontShapeaverage a:hover, .fontShapeaverage a:hover div, .fontShapeaverage a:hover span {
+text-decoration:underline;
+}
+
+
+.fontColordefaultfontcolors h3, .fontColordefaultfontcolors .h3 {
+border-color:#666666;
+color:#666666;
+}
+
+.fontColordefaultfontcolors a, .fontColordefaultfontcolors a div, .fontColordefaultfontcolors a span {
+color:#0066CC;
+}
+.fontColordefaultfontcolors a:visited, .fontColordefaultfontcolors a:visited div, .fontColordefaultfontcolors a:visited span {
+color:#003399;
+}
+.fontColordefaultfontcolors a:active, .fontColordefaultfontcolors a:active div, .fontColordefaultfontcolors a:active span {
+color:blue;
+}
+.fontColordefaultfontcolors a:hover, .fontColordefaultfontcolors a:hover div, .fontColordefaultfontcolors a:hover span {
+color:#0066CC;
+}
+
+.boxShapenavbox .title {
+border-style:none;
+border-width:0px;
+display:inline;
+font-family:arial,sans-serif,Verdana,Helvetica;
+font-size:12px;
+font-size-adjust:none;
+font-stretch:normal;
+font-style:normal;
+font-variant:normal;
+font-weight:bold;
+line-height:normal;
+padding:0px;
+}
+.boxShapenavbox .body {
+border-style:solid;
+border-width:0px;
+padding:10px 0pt 0pt;
+}
+.boxShapenavbox .body ul.cpsskinsMenu li a {
+border-style:none;
+border-width:0px;
+margin:1px 3px;
+padding:1px 0px 1px 21px;
+}
+.boxShapenavbox .body ul.cpsskinsMenu li.selected a {
+border-style:solid;
+border-width:0px;
+margin:0px 3px;
+padding:1px 0px 1px 21px;
+}
+.boxColornavbox .title {
+background-color:transparent;
+border-color:transparent;
+color:#666666;
+}
+.boxColornavbox .title a {
+color:#666666;
+}
+.boxColornavbox .body {
+background-color:transparent;
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a {
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li.selected a {
+border-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a {
+background-color:transparent;
+}
+.boxColornavbox .body ul.cpsskinsMenu li a:hover, .boxColornavbox .body ul.cpsskinsMenu li.selected a {
+background-color:#F1F2F3;
+}
+
+.colorfontcolorgray {
+background-color:transparent;
+border-color:transparent;
+color:#666666;
+}
+.fontColordefaultnovisitedlinks h1, .fontColordefaultnovisitedlinks .h1 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h2, .fontColordefaultnovisitedlinks .h2 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h3, .fontColordefaultnovisitedlinks .h3 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks h4, .fontColordefaultnovisitedlinks .h4, .fontColordefaultnovisitedlinks h5, .fontColordefaultnovisitedlinks .h5, .fontColordefaultnovisitedlinks h6, .fontColordefaultnovisitedlinks .h6 {
+border-color:#666666;
+color:Black;
+}
+.fontColordefaultnovisitedlinks a, .fontColordefaultnovisitedlinks a div, .fontColordefaultnovisitedlinks a span {
+color:#0066CC;
+}
+.fontColordefaultnovisitedlinks a:visited, .fontColordefaultnovisitedlinks a:visited div, .fontColordefaultnovisitedlinks a:visited span {
+color:#0066CC;
+}
+.fontColordefaultnovisitedlinks a:active, .fontColordefaultnovisitedlinks a:active div, .fontColordefaultnovisitedlinks a:active span {
+color:blue;
+}
+.fontColordefaultnovisitedlinks a:hover, .fontColordefaultnovisitedlinks a:hover div, .fontColordefaultnovisitedlinks a:hover span {
+color:#0066CC;
+}
+
+.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li {
+margin:0pt 5px 0pt 0pt;
+}
+.portalTabPortalTabStyleuseractions ul.cpsskinsMenu li a {
+padding:1px 0px;
+}
+
+.shapeAreaShape5 {
+border-style:solid;
+border-width:0px 1px 1px 0px;
+text-transform:none;
+}
+.shapeAreaShape {
+border-style:solid;
+border-width:1px;
+text-transform:none;
+}
+.shapeAreaShape9 {
+border-style:solid;
+border-width:1px 0px 0px 1px;
+text-transform:none;
+}
+
+.fontColornavigation h1, .fontColornavigation .h1 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h2, .fontColornavigation .h2 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h3, .fontColornavigation .h3 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation h4, .fontColornavigation .h4, .fontColornavigation h5, .fontColornavigation .h5, .fontColornavigation h6, .fontColornavigation .h6 {
+border-color:#666666;
+color:Black;
+}
+.fontColornavigation a, .fontColornavigation a div, .fontColornavigation a span {
+color:black;
+}
+.fontColornavigation a:visited, .fontColornavigation a:visited div, .fontColornavigation a:visited span {
+color:black;
+}
+.fontColornavigation a:active, .fontColornavigation a:active div, .fontColornavigation a:active span {
+color:black;
+}
+.fontColornavigation a:hover, .fontColornavigation a:hover div, .fontColornavigation a:hover span {
+color:black;
+}
+.fontShapenavigation {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:12px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapenavigation p {
+font-family:Arial,Verdana,Helvetica,sans-serif !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+
+.fontShapenavigation h3, .fontShapenavigation .h3 {
+border-style:none;
+border-width:1px;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:120% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+
+.fontShapenavigation a, .fontShapenavigation a div, .fontShapenavigation a span {
+text-decoration:none;
+}
+.fontShapenavigation a:visited, .fontShapenavigation a:visited div, .fontShapenavigation a:visited span {
+text-decoration:none;
+}
+.fontShapenavigation a:active, .fontShapenavigation a:active div, .fontShapenavigation a:active span {
+text-decoration:none;
+}
+.fontShapenavigation a:hover, .fontShapenavigation a:hover div, .fontShapenavigation a:hover span {
+text-decoration:underline;
+}
+
+.fontShapeTitleindex {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:13px !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+}
+.fontShapeTitleindex p {
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:normal !important;
+line-height:normal !important;
+padding:0em;
+}
+.fontShapeTitleindex h1, .fontShapeTitleindex .h1 {
+border-style:none;
+border-width:0px;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+margin:0px;
+padding:0px;
+}
+.fontShapeTitleindex h2, .fontShapeTitleindex .h2 {
+border-style:none;
+border-width:0pt;
+font-family:Arial,sans-serif,Verdana,Helvetica !important;
+font-size:150% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+.fontShapeTitleindex h3, .fontShapeTitleindex .h3 {
+border-style:none;
+border-width:0pt;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:125% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.6em 0em 0em;
+}
+.fontShapeTitleindex h4, .fontShapeTitleindex .h4, .fontShapeTitleindex h5, .fontShapeTitleindex .h5, .fontShapeTitleindex h6, .fontShapeTitleindex .h6 {
+border-style:none;
+border-width:0pt;
+font-family:Verdana,Arial,Helvetica,sans-serif !important;
+font-size:100% !important;
+font-size-adjust:none !important;
+font-stretch:normal !important;
+font-style:normal !important;
+font-variant:normal !important;
+font-weight:bold !important;
+line-height:normal !important;
+padding:0.4em 0em 0em;
+}
+.fontShapeTitleindex a, .fontShapeTitleindex a div, .fontShapeTitleindex a span {
+text-decoration:none;
+}
+.fontShapeTitleindex a:visited, .fontShapeTitleindex a:visited div, .fontShapeTitleindex a:visited span {
+text-decoration:none;
+}
+.fontShapeTitleindex a:active, .fontShapeTitleindex a:active div, .fontShapeTitleindex a:active span {
+text-decoration:underline overline;
+}
+.fontShapeTitleindex a:hover, .fontShapeTitleindex a:hover div, .fontShapeTitleindex a:hover span {
+text-decoration:underline;
+}
+
+
+</dtml-let>
